Acknowledge opportunity notifications
POST
/ack-notifications
const url = 'https://registry.rex.dynata.com/ack-notifications';const options = { method: 'POST', headers: { 'dynata-expiration': '2026-04-15T12:00:00Z', 'dynata-access-key': 'ADSF23ADF354GFDDS23', 'dynata-signature': 'dsklj435kljhfdSAFdsalk34', 'Content-Type': 'application/json' }, body: '[23423,89793,29834]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://registry.rex.dynata.com/ack-notifications \ --header 'Content-Type: application/json' \ --header 'dynata-access-key: ADSF23ADF354GFDDS23' \ --header 'dynata-expiration: 2026-04-15T12:00:00Z' \ --header 'dynata-signature: dsklj435kljhfdSAFdsalk34' \ --data '[ 23423, 89793, 29834 ]'Acknowledge opportunity notifications
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”dynata-expiration
required
string format: date-time
RFC3339 timestamp indicating request expiration
dynata-access-key
required
string
Dynata provided access key
Example
ADSF23ADF354GFDDS23dynata-signature
required
string
Signature created using the Dynata methodology
Example
dsklj435kljhfdSAFdsalk34Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Opportunity identifiers
Array<integer>
Example
[ 23423, 89793, 29834]Responses
Section titled “Responses”Notifications were successfully acknowledged
Bad request
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Invalid credentials
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Internal server error
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}